## 欧镭2D激光雷达ROS驱动  ##

### Version:2.0.8 ###
### update time:2020-01-22 ###
#### 更新内容 ####
1. 自适应电机转向，匹配Ros坐标系。
2. 新增launch配置项inverted，允许倒装设定。
#### 构建 ####
1. 在安装了ROS环境的ubuntu系统中创建工作区

    > mkdir -p dl2d_ws

2. 解压 'src' ROS驱动文件夹到dl2d_ws

    >cp src dl2d_ws

3. 安装 depend

    >rosdep install --from-paths src --ignore-src --rosdistro=${ROS_DISTRO} -y
     

4. 编译
	
    >chmod -R 777 src
    >catkin_make
    注：编译前请chmod赋予src文件夹下可执行权限。

#### 运行 ####

1. 配置source源

    >source devel/setup.bash

2. 打开一个新的终端，运行roscore

    >roscore

3. 检查并连接激光雷达
	雷达默认出厂IP：192.168.1.100它将发送UDP数据包至192.168.1.10:2368
	因此，需配置本地静态IP：192.168.1.10子网掩码：255.255.255.0
    

4. 在当前配置source源的终端中，运行launch脚本

    >roslaunch dllidar scan.launch

#### rviz 可视化工具 ####
1. 打开新的终端，运行rviz

    >rviz rviz -f dllidar
    
2. 在rviz中add添加一个topic话题dllidar/scan/LaserScan























